Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: Re: [OMPI devel] 1.6.2rc2 VT/OMP build failure with PGI 8.0-6
From: Paul Hargrove (phhargrove_at_[hidden])
Date: 2012-09-11 16:24:02


Bert,

Testing PASSED with the patch you provided.

FWIW: I believe that PGI's licenses work such that a license for a
particular PGI version will work for all older versions.
So, if needed in the future you should probably be able to download older
PGI releases from their web site and install them (even as non-root) and
use them w/ the license you have for 11.0.

-Paul

On Tue, Sep 11, 2012 at 12:48 PM, Bert Wesarg <bert.wesarg_at_[hidden]>wrote:

> Hi,
>
> On Tue, Sep 11, 2012 at 9:38 PM, Paul Hargrove <phhargrove_at_[hidden]> wrote:
> > Following-up as promised:
> > My build w/ PGI-7.2-5 has completed and produces the same error (and
> > warnings) as seen w/ 8.0-6 and reported in the message quoted below.
>
> Thanks. I don't know since the PGI has support for "omp
> threadprivate()" but I can easily disable it for all pre 9.0 PGI
> compilers with this patch to vt_unify.h:
>
> @@ -51,11 +51,23 @@
> // disable OpenMP, if compiler version is less than 4.2.4
> # if __OPENCC__ < 4 || (__OPENCC__ == 4 && (__OPENCC_MINOR__ <
> 2 || (__OPENCC_MINOR__ == 2 && __OPENCC_PATCHLEVEL__ < 4)))
> # undef HAVE_OMP
> # endif
> # endif
> -# endif // __OPEN64__
> +
> + // pre PGI 9.0 do not have "omp threadprivate()"
> +# elif defined(__PGI)
> +# if !defined(__PGIC__) || !defined(__PGIC_MINOR__) ||
> !defined(__PGIC_PATCHLEVEL__)
> + // unknown compiler version; disable OpenMP to be on the safe
> side
> +# undef HAVE_OMP
> +# else
> + // disable OpenMP, if compiler version is less than 9.0
> +# if __PGIC__ < 9
> +# undef HAVE_OMP
> +# endif
> +# endif
> +# endif // __PGI
> #endif // HAVE_OMP
> #if defined(HAVE_OMP) && HAVE_OMP
> # include <omp.h>
> #endif // HAVE_OMP
>
> I hope that the predefines did not change for compilers prior version
> 11.0, which is the oldest I have at hand here.
>
> It would be great if you could test it, so that we can fast track a
> patch tomorrow German time.
>
> Thanks in advance.
>
> Bert
>
> >
> > -Paul
> >
> _______________________________________________
> devel mailing list
> devel_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/devel
>

-- 
Paul H. Hargrove                          PHHargrove_at_[hidden]
Future Technologies Group
Computer and Data Sciences Department     Tel: +1-510-495-2352
Lawrence Berkeley National Laboratory     Fax: +1-510-486-6900